Subject: Re: Why are submodules not automatically handled by default or at least configurable to do so?

From: Jens Lehmann <[email-masked]>
Date: Mon, 26 Oct 2015 17:56:33 +0100

Am 26.10.2015 um 05:48 schrieb Nazri Ramliy:
> On Mon, Oct 26, 2015 at 7:10 AM, John Smith <[email-masked]> wrote:
>> When would people routinely check out a branch and want to stay with the submodules as
>> the have been checked out for the old branch?
>
> I do this a lot. At my $dayjob we have a super project with bunch of
> sub projects.
> Each subproject has its corresponding rpm spec file in the
> superproject - it's quite
> often that I work on a "git-merge-base--octopus" branch that updates only the
> spec files and nothing else - so when changing between branches I
> don't care what
> states the submodules are in. When the fixes to the spec files are ready I just
> checkout to the respective branches and merge in the changes - I don't actively
> do "git submodule update" when switching to different branches.

Which seems a bit error prone as you could forget to update the submodules
and build incorrect rpms from them, or am I missing something?

I understand why you don't need to update the submodules every time, but
would it hurt your workflow if they did (but don't get me wrong, that will
always be configurable).